Django v1. X version startup error: syntax error: generator expression must be parentized

Time:2021-9-11

Django v1. X version startup error: syntax error: generator expression must be parentized

 

Error message:

Failed to get real commands on module "mysite": python process died with code 1: Traceback (most recent call last):
  File "E:\JetBrains\PyCharm 2020.1\plugins\python\helpers\pycharm\_jb_manage_tasks_provider.py", line 25, in 
    django.setup()
  File "E:\PycharmProjects\python\venv\lib\site-packages\django\__init__.py", line 27, in setup
    apps.populate(settings.INSTALLED_APPS)
  File "E:\PycharmProjects\python\venv\lib\site-packages\django\apps\registry.py", line 85, in populate
    app_config = AppConfig.create(entry)
  File "E:\PycharmProjects\python\venv\lib\site-packages\django\apps\config.py", line 94, in create
    module = import_module(entry)
  File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\importlib\__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "", line 1006, in _gcd_import
  File "", line 983, in _find_and_load
  File "", line 967, in _find_and_load_unlocked
  File "", line 677, in _load_unlocked
  File "", line 728, in exec_module
  File "", line 219, in _call_with_frames_removed
  File "E:\PycharmProjects\python\venv\lib\site-packages\django\contrib\admin\__init__.py", line 4, in 
    from django.contrib.admin.filters import (
  File "E:\PycharmProjects\python\venv\lib\site-packages\django\contrib\admin\filters.py", line 10, in 
    from django.contrib.admin.options import IncorrectLookupParameters
  File "E:\PycharmProjects\python\venv\lib\site-packages\django\contrib\admin\options.py", line 12, in 
    from django.contrib.admin import helpers, widgets
  File "E:\PycharmProjects\python\venv\lib\site-packages\django\contrib\admin\widgets.py", line 152
    '%s=%s' % (k, v) for k, v in params.items(),
    ^
SyntaxError: Generator expression must be parenthesized

 

 

Error reporting reason:

Django v1.11 is incompatible with Python 3.7. Django after version 2.0 fixes this problem

 

 

resolvent:

Method 1: find the widgets.py under the error file path corresponding to the Python interpreter and delete the comma (I use the virtual environment)

Method 2: upgrade Django Version (new version is not recommended)

pip install -U Django